Trunks
Update Trunk
Update a trunk.
PUT
/
core
/
trunks
/
{id}
Update Trunk
curl --request PUT \
--url https://api.anyreach.ai/core/trunks/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"inbound_config": {
"enable_noise_cancellation": false,
"media_encryption": "SIP_MEDIA_ENCRYPT_DISABLE",
"allowed_addresses": [
"<string>"
],
"caller_id_header": "<string>",
"header_metadata_mappings": {}
},
"outbound_config": {
"address": "<string>",
"auth_username": "<string>",
"auth_password": "<string>",
"transport": "SIP_TRANSPORT_UDP",
"media_encryption": "SIP_MEDIA_ENCRYPT_DISABLE"
}
}
'import requests
url = "https://api.anyreach.ai/core/trunks/{id}"
payload = {
"name": "<string>",
"inbound_config": {
"enable_noise_cancellation": False,
"media_encryption": "SIP_MEDIA_ENCRYPT_DISABLE",
"allowed_addresses": ["<string>"],
"caller_id_header": "<string>",
"header_metadata_mappings": {}
},
"outbound_config": {
"address": "<string>",
"auth_username": "<string>",
"auth_password": "<string>",
"transport": "SIP_TRANSPORT_UDP",
"media_encryption": "SIP_MEDIA_ENCRYPT_DISABLE"
}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
inbound_config: {
enable_noise_cancellation: false,
media_encryption: 'SIP_MEDIA_ENCRYPT_DISABLE',
allowed_addresses: ['<string>'],
caller_id_header: '<string>',
header_metadata_mappings: {}
},
outbound_config: {
address: '<string>',
auth_username: '<string>',
auth_password: '<string>',
transport: 'SIP_TRANSPORT_UDP',
media_encryption: 'SIP_MEDIA_ENCRYPT_DISABLE'
}
})
};
fetch('https://api.anyreach.ai/core/trunks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"organization_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Example",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z",
"created_by": "user:3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_by": "user:3fa85f64-5717-4562-b3fc-2c963f66afa6",
"inbound_config": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"enable_noise_cancellation": false,
"media_encryption": "SIP_MEDIA_ENCRYPT_DISABLE",
"allowed_addresses": [],
"caller_id_header": "string",
"header_metadata_mappings": {
"key": null
}
},
"outbound_config": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"address": "string",
"auth_username": "string",
"auth_password": "string",
"transport": "SIP_TRANSPORT_UDP",
"media_encryption": "SIP_MEDIA_ENCRYPT_DISABLE"
},
"managed_account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Organization ID for user PATs (pat_ prefix tokens)
Path Parameters
Body
application/json
Response
Successful Response
Trunk entity representing a SIP trunk configuration.
Inbound trunk configuration for SIP trunks.
Show child attributes
Show child attributes
Outbound trunk configuration for SIP trunks.
Show child attributes
Show child attributes
⌘I
Update Trunk

